#!/sbin/openrc-run
#
# Copyright (C) 2018 NetFlow Logic. All rights reserved.
#
# nfiu_daemon:	Start/stop External Data Feeder for NFO service
#
# description:	External Data Feeder for NFO

description="External Data Feeder for NFO daemon"

svc="/etc/init.d/nfi_updd"
while [ -h "${svc}" ]; do
	ls=$(ls -ld "${svc}")
	link=$(expr "${ls}" : '.*-> \(.*\)$')
	if $(expr "${link}" : '/.*' > /dev/null); then
		svc="${link}"
	else
		svc="$(dirname ${svc})/${link}"
	fi
done

appRoot=$(dirname "${svc}")
cd "${appRoot}"

command="./nfiu_daemon"
command_progress="yes"
RC_SVCNAME="nfi_updd"

ARG0="${svc}"
export ARG0

depend()
{
	after tomcat_nfo
}

start()
{
	ebegin "Starting ${description}"
	mark_service_starting ${RC_SVCNAME}
	chmod 750 ${command}
	${command} start
	retVal=$?
	if (( ${retVal} == 0 ));then
		mark_service_started ${RC_SVCNAME}
	fi
	eend ${retVal}
	chmod 640 ${command}
	return ${retVal}
}

stop()
{
	ebegin "Stopping ${description}"
	mark_service_stopping ${RC_SVCNAME}
	chmod 750 ${command}
	${command} stop
	retVal=$?
	if (( ${retVal} == 0 ));then
		mark_service_stopped ${RC_SVCNAME}
	fi
	eend ${retVal}
	chmod 640 ${command}
	return ${retVal}
}

status()
{
	chmod 750 ${command}
	${command} status
	eend $?
	chmod 640 ${command}
}
